import { DocumentSnapshot } from './DocumentSnapshot';
import { TextDocumentContentChangeEvent } from 'vscode-languageserver';
export interface TsFilesSpec {
    include?: readonly string[];
    exclude?: readonly string[];
}
export declare class SnapshotManager {
    private projectFiles;
    private fileSpec;
    private workspaceRoot;
    private documents;
    private lastLogged;
    private readonly watchExtensions;
    constructor(projectFiles: string[], fileSpec: TsFilesSpec, workspaceRoot: string);
    updateProjectFiles(): void;
    updateTsOrJsFile(fileName: string, changes?: TextDocumentContentChangeEvent[]): void;
    has(fileName: string): boolean;
    set(fileName: string, snapshot: DocumentSnapshot): Map<string, DocumentSnapshot>;
    get(fileName: string): DocumentSnapshot | undefined;
    delete(fileName: string): boolean;
    getFileNames(): string[];
    getProjectFileNames(): string[];
    private logStatistics;
}
